..::pidl::lib::Parse::Pidl::Util(3)

NAME
Parse::Pidl::Util - Generic utility functions for pidl

SYNOPSIS
use Parse::Pidl::Util;

DESCRIPTION
Simple module that contains a couple of trivial helper functions used throughout the various pidl modules.

FUNCTIONS

MyDumper a dumper wrapper to prevent dependence on the Data::Dumper module unless we actually need it
has_property see if a pidl property list contains a given property
property_matches see if a pidl property matches a value
is_constant return 1 if the string is a C constant
make_str return a "" quoted string, unless already quoted
unmake_str unquote a "" quoted string
print_uuid Print C representation of a UUID.
ParseExpr Interpret an IDL expression, substituting particular variables.
ParseExprExt Interpret an IDL expression, substituting particular variables. Can call callbacks when pointers are being dereferenced or variables are being used.